Skip to content
Login Sign up

Amazon Category

Amazon Category returns the list of products in a given Amazon category or sub-category, with prices, ratings, Prime eligibility, and shipping details.

GET https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=category
ParameterTypeRequiredDescription
api_keystringyesYour SERP API key (shared with Amazon).
enginestringyesMust be amazon.
typestringyesMust be category.
category_idstringyesCategory alias or numerical ID (for example, amazon-devices).
domainstringnoMarketplace domain, default amazon.com.
devicedesktop | mobilenoSimulated device.
pageintegernoResults page number.
Terminal window
curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=category&category_id=amazon-devices"
{
"search_parameters": {
"engine": "amazon",
"amazon_domain": "amazon.com",
"type": "category",
"category_id": "amazon-devices"
},
"category_results": {
"product_results": [
{
"position": 1,
"product_id": "B08C1W5N87",
"title": "Fire TV Stick with Alexa Voice Remote",
"link": "/dp/B08C1W5N87",
"price": "$19.99",
"price_raw": "$39.99",
"currency": "$",
"is_prime": true,
"rating": { "rating": "4.7 out of 5 stars", "total_ratings": 141438 },
"amazon_choice": { "link": "/dp/B08C1W5N87" }
},
{
"position": 2,
"product_id": "B08XVYZ1Y5",
"title": "Fire TV Stick 4K",
"price": "$29.99",
"deal": "Limited time deal"
}
]
}
}